Bug 863812

Summary: [abrt] kde-printer-applet-4.9.2-1.fc17: printer-applet:457:update_job:KeyError: 6
Product: [Fedora] Fedora Reporter: Fred R. Beck <beckfr>
Component: kde-printer-appletAssignee: Ngo Than <than>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: jreznik, kevin, ltinkl, rdieter, rnovacek, than
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:456ad8856c9a03a60bc42df2599ab91a064fc3f6
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 08:04:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: core_backtrace none

Description Fred R. Beck 2012-10-07 11:19:05 EDT
Version-Release number of selected component:
kde-printer-applet-4.9.2-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        python /usr/bin/printer-applet
kernel:         3.5.4-2.fc17.i686.PAE

backtrace:
:printer-applet:457:update_job:KeyError: 6
:
:Traceback (most recent call last):
:  File "/usr/share/kde4/apps/printer-applet/monitor.py", line 440, in get_notifications
:    fn (*args)
:  File "/usr/bin/printer-applet", line 902, in job_event
:    self.update_job (jobid, jobdata)
:  File "/usr/bin/printer-applet", line 457, in update_job
:    iter = self.jobiters[job]
:KeyError: 6
:
:Local variables in innermost frame:
:job: 6
:data: {'OutputMode': u'Normal', 'job-printer-state-message': u'Unable to find printer.', 'time-at-completed': None, 'time-at-processing': 1349507649, 'Duplex': u'DuplexNoTumble', 'OptionDuplex': True, 'number-up': 1, 'PageRegion': u'Letter', 'job-sheets': [u'none', u'none'], 'job-k-octets': 5908, 'document-count': 1, 'job-media-progress': 0, 'job-uri': u'ipp://localhost:631/jobs/6', 'attributes-natural-language': u'en-us', 'job-more-info': u'http://localhost:631/jobs/6', 'PageSize': u'Letter', 'attributes-charset': u'utf-8', 'copies': 1, 'time-at-creation': 1349507627, 'job-id': 6, 'job-printer-uri': u'ipp://okoboji/printers/HP8900A', 'MediaType': u'Plain', 'job-state-reasons': u'job-printing', 'job-printer-name': u'HP8900A', 'job-state': 3, 'job-printer-up-time': 1349567613, 'finishings': 3, 'job-name': u'A9ROdAKDha', 'ColorModel': u'RGB', 'job-priority': 50, 'document-format': u'application/postscript', 'job-uuid': u'urn:uuid:3f353440-a35b-37d8-6e8f-14030be3742f', 'InputSlot': u'Auto', 'printer-uri': u'ipp://localhost:631/printers/Officejet_Pro_8500_A910', 'job-printer-state-reasons': [u'marker-supply-empty-warning', u'connecting-to-device'], 'job-hold-until': u'no-hold', 'job-media-sheets-completed': 1}
:self: <__main__.JobManager object at 0x8af0c8c>
Comment 1 Fred R. Beck 2012-10-07 11:19:09 EDT
Created attachment 622999 [details]
File: core_backtrace
Comment 2 Fedora End Of Life 2013-07-03 23:52:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 08:04:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.